# &amarok;'s fortgeschrittene Funktionen

## Tastenkürzel

&amarok; benutzt wie alle anderen Programme Tastenkürzel. Unten finden Sie eine Liste dieser Kürzel und ihre Funktion. Die globalen Tastenkürzel können Sie einrichten, indem Sie mit der rechten Maustaste in das Player-Fenster klicken und Globale Tastenkürzel einrichten... auswählen. Die &amarok;-spezifischen Tastenkürzel können Sie einrichten, indem Sie mit der rechten Maustaste in das Player-Fenster klicken und Kurzbefehle festlegen... auswählen.

Sie können eventuell vorhandene Multimedia-Tasten so einrichten, dass sie als &amarok;-Kurzbefehle funktionieren. Dadurch machen Sie Ihre Tastatur zum &amarok;-Kontrollzentrum.

Die globalen Tastenkürzel sind:

Tastenkombination | Funktion
--- | ---
WinX | Wiedergabe
WinC | Pause
WinV | Stopp
WinB | Nächstes Stück
WinZ | Voriges Stück
WinNum_Plus | Lautstärke erhöhen
WinNum_Minus | Lautstärke senken
WinA | Hinzufügen
WinP | Wiedergabeliste anzeigen/ausblenden
WinO | OSD anzeigen

Die &amarok;-spezifischen Kurzbefehle sind:

Tastenkombination | Funktion
--- | ---
StrgC | Kopieren
StrgNum_Eingabe | Zum aktuellen Stück springen
StrgQ | Beenden
StrgShiftZ | Wiederholen
StrgS | Wiedergabeliste speichern
StrgA | Alles auswählen
StrgH | Zufallsmodus
StrgZ | Rückgängig

Die Kurzbefehle für den Wiedergabelisten-Browser sind:

Tastenkombination | Funktion
--- | ---
Leertaste | Wiedergabeliste laden
F2 | Wiedergabeliste umbenennen
Rücktaste | Wiedergabeliste entfernen

## Die DCOP-Schnittstelle

Mit der DCOP-Schnittstelle steht Ihnen ein einfacher Weg zur Verfügung, &amarok; mit eigenen Skripten anzupassen.

Die DCOP-Schnittstelle hat viele generische Funktionen, die zumeist auch in anderen KDE-Programmen zu finden sind. Dieser Abschnitt beschreibt die DCOP-Funktionen des Players. Ein Beispielaufruf für die DCOP-Funktion Pause wäre:

&percnt;dcop amarok player pause ``

DCOP-Funktion | Funktion
--- | ---
album | Die Funktion album gibt das Album des aktuell laufenden Stücks zurück.
artist | Die Funktion artist gibt den Interpret des aktuell laufenden Stücks zurück.
bitrate | Die Funktion bitrate gibt die Bitrate des aktuell laufenden Stücks zurück.
comment | Die Funktion comment gibt den Kommentar zum aktuell laufenden Stück zurück.
coverImage | Die Funktion coverImage gibt die URL zu dem Cover-Bild des aktuell laufenden Stücks zurück.
currentTime | Die Funktion currentTime gibt die Abspiel-Position (mm:ss) des aktuell laufenden Stücks zurück.
encodedURL | Die Funktion encodedURL gibt die URL des aktuell laufenden Stücks zurück. Leerzeichen werden kodiert.
genre | Die Funktion genre gibt das Genre des aktuell laufenden Stücks zurück.
nowPlaying | Die Funktion nowPlaying gibt "Interpret - Titel" des aktuell laufenden Stücks zurück. Falls eines der beiden id3-Tags fehlt, wird nur "Interpret" bzw. "Titel" zurückgegeben (ohne den Bindestrich "-").
title | Die Funktion title gibt den Titel des aktuell laufenden Stücks zurück.
totalTime | Die Funktion totalTime gibt die Länge des aktuell laufenden Stücks zurück.
track | Die Funktion track gibt die Stücknummer des aktuell laufenden Stücks zurück.
year | Die Funktion year gibt das Jahr des aktuell laufenden Stücks zurück.
isPlaying | Die Funktion isPlaying gibt true zurück, wenn die Wiedergabe gerade läuft. Ansonsten wird false zurückgegeben.
randomModeStatus | Die Funktion randomModeStatus gibt den Status desZufallsmodus zurück. Der Rückgabewert ist true oder false.
repeatPlaylistStatus | Die Funktion repeatPlaylistStatus gibt den Status der Funktion Wiedergabeliste wiederholen zurück. Der Wert ist true oder false.
repeatTrackStatus | Die Funktion repeatTrackStatus gibt den Status der Funktion Stück wiederholen zurück. Der Wert ist true oder false.
getVolume | Die Funktion getVolume gibt die aktuelle Lautstärke zurück (ein Wert von 0-100).
sampleRate | Die Funktion sampleRate gibt die Sample-Rate des aktuell laufenden Stücks zurück.
score | Die Funktion score gibt die Bewertung zu dem aktuellen Stück zurück.
status | Die Funktion status gibt den Status des Treibers zurück. 2 steht für Wiedergabe, 1 für Pause und 0 für Ruhezustand.
trackCurrentTime | Die Funktion trackCurrentTime gibt die bereits abgelaufene Spielzeit des aktuellen Stücks zurück.
trackTotalTime | Die Funktion trackTotalTime gibt die komplette Spielzeit des aktuell laufenden Stücks in Sekunden zurück.
addMedia | Die Funktion addMedia wird benutzt, um der Wiedergabeliste einzelne Dateien hinzuzufügen.
addMediaList | Die Funktion addMediaList wird benutzt, um der Wiedergabeliste mehrere Dateien hinzuzufügen.
clearPlaylist | Die Funktion clearPlaylist wird benutzt, um die gesamte Wiedergabeliste zu leeren.
configEqualizer | Die Funktion configEqualizer öffnet den Einrichtungsdialog des Equalizers.
enableOSD | Die Funktion enableOSD kann zum aktivieren und deaktivieren des On-Screen-Display benutzt werden. Als Argument muss true oder false übergeben werden.
enableRandomMode | Die Funktion enableRandomMode wird benutzt, um den Zufallsmodus ein-/auszuschalten. 0 bedeutet "ausschalten" und 1 bedeutet "einschalten".
mute | Die Funktion mute wird benutzt, um das aktuell laufende Stück Stumm zu schalten bzw. die Stummschaltung wieder aufzuheben.
next | Die Funktion next bewirkt einen Sprung zum nächsten Stück.
pause | Die Funktion pause hält die Wiedergabe des aktuell laufenden Stücks an.
play | Die Funktion play startet die Wiedergabe, wo sie zuletzt gestoppt wurde.
playMedia | Die Funktion playMedia startet die Wiedergabe eines über eine KURL angegebenen Stückes.
playPause | Die Funktion playPause startet die Wiedergabe, falls sie gestoppt ist, oder hält die Wiedergabe an, falls sie gerade läuft.
prev | Die Funktion prev bewirkt einen Sprung zum vorigen Stück.
scanCollection | Die Funktion scanCollection führt ein manuelles Erfassen der Sammlung durch.
seek | Die Funktin seek wird zum ansteuern einer bestimmten Position in einem Stück verwendet. Geben Sie die Position in Sekunden an.
seekRelative | Die Funktin seekRelative wird zum ansteuern einer zur aktuellen Spielzeit relativen Position in einem Stück verwendet. Geben Sie die Position in Sekunden an.
setEqualizerEnabled | Die Funktion setEqualizerEnabled kann zum aktivieren und deaktivieren des Equalizer benutzt werden. Als Argument muss true oder false übergeben werden.
setVolume | Die Funktion setVolume stellt die Lautstärke auf den angegebenen Wert ein (0-100).
showOSD | Die Funktion showOSD zeigt das On-Screen-Display mit den Informationen zum aktuellen Stück an.
stop | Die Funktion stop stoppt die Wiedergabe, falls sie gerade läuft.
togglePlaylist | Die Funktion togglePlaylist schaltet die Anzeige des Wiedergabelisten-Fenster ein oder aus.
volumeDown | Die Funktion volumeDown senkt die Lautstärke um einen Schritt.
volumeUp | Die Funktion volumeUp erhöht die Lautstärke um einen Schritt.

## Optionen auf der Kommandozeile

&amarok; unterstützt die Kommandozeilen-Optionen von Qt und &kde;. Zusätzlich hat &amarok; noch einige eigene Kommandozeilen-Optionen.

Die Qt- und &kde;-Optionen:

Option | Funktion
--- | ---
--help | Hilfe zu den Optionen anzeigen.
--help-qt | Qt-Optionen anzeigen
--help-kde | &kde;-Optionen anzeigen.
--help-all | Alle Optionen anzeigen.
--author | Informationen über den Autor anzeigen.
-v, --version | Versionsinformationen anzeigen.
--license | Lizenzinformationen anzeigen.

Die &amarok;-Optionen:

Die &amarok;-Optionen sollten verwendet werden, während &amarok; läuft.

Option | Funktion
--- | ---
-r, --previous | Zum vorigen Stück in der Wiedergabeliste springen.
-p, --play | Die Wiedergabe der aktuellen Wiedergabeliste starten.
-s, --stop | Die Wiedergabe stoppen.
--pause | Die Wiedergabe anhalten (Pause).
-f, --next | Zum nächsten Stück in der Wiedergabeliste springen.
-a, --append | Dateien/URLs and die Wiedergabeliste anhängen.
-e, --enqueue | Siehe "append", nur für Rückwärtskompatibilität vorhanden.
--queue | Dateien/URLs nach dem aktuellen Stück zur Wiedergabe einreihen.
-m, --toggle-playlist-window | Die Anzeige des Wiedergabelisten-Fensters ein/ausschalten.
--wizard | Den Einrichtungsassistent starten.
--engine "Name" | Startet &amarok; mit dem Treiber "Name".